%define pkg_name        Lingua-ZH-HanDetect
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.1

Summary:       Guess Chinese text's variant and encoding
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUTRIJUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Lingua::ZH::HanDetect uses statistical measures to test a text string
to see if it's in Traditional or Simplified Chinese, as well as which
encoding it is in.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__mv} t/0-signature.t t/0-signature.t.skip

%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.04
